image: hatsoftwares/mojolicious-test-ci:latest
stages:
  - test
test:
  stage: test
  before_script:
    - cpanm Email::Mailer Email::Sender Hash::Merge MIME::Words
  script:
    - perl Makefile.PL
    - make
    - PERL5OPT='-Ilib/' HARNESS_PERL_SWITCHES='-MDevel::Cover' make test
    - make install
    - make dist
    - mv Mojo*tar.gz /tmp
    - cd /tmp
    - tar xf Mojo*tar.gz
    - rm Mojo*tar.gz
    - cd Mojolicious-Plugin-EmailMailer-*
    - perl Makefile.PL
    - make
    - make test
    - make install
    - cd $CI_PROJECT_DIR
    - PERL5OPT='-Ilib/' HARNESS_PERL_SWITCHES='-MDevel::Cover' prove -l --failures --formatter TAP::Formatter::JUnit > tap.xml
    - cover
  coverage: '/Total .*  (\d+\.\d+)$/'
  artifacts:
    reports:
      junit: tap.xml
